Attribute VB_Name = "modMausEigenschaften"
Option Explicit



Public Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Public Declare Function ClientToScreen Lib "user32" (ByVal hwnd As Long, lpPoint As POINTAPI) As Long
Public Declare Sub ClipCursor Lib "user32" (lpRect As Any)
Public Declare Sub GetClientRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT)
Public Declare Sub OffsetRect Lib "user32" (lpRect As RECT, ByVal x As Long, ByVal y As Long)

'/ Inkorrekt:
'Public Type RECT
'  Left As Integer
'  Top As Integer
'  Right As Integer
'  Bottom As Integer
'End Type
Public Type RECT
    Left    As Long
    Top     As Long
    Right   As Long
    Bottom  As Long
End Type

Public Type POINTAPI
  x As Long
  y As Long
End Type

'/ Wird momentan nicht mehr bentigt
Public P1 As POINTAPI
Public P2 As POINTAPI
Public P3 As POINTAPI
Public P4 As POINTAPI


' Maus-Geschwindikeit
' *******************
Public Declare Function SystemParametersInfo Lib "user32" Alias _
    "SystemParametersInfoA" (ByVal uAction As Long, ByVal uParam As Long, _
    ByRef lpvParam As Any, ByVal fuWinIni As Long) As Long

Public Const SPI_SETMOUSESPEED = 113
Public Const SPI_GETMOUSESPEED = 112


'---------------------------------------------------------------------------------------
' Region-API   constants, types and declares
'
' (noch nicht verwendete Bestandteile wurden auskommentiert)
'---------------------------------------------------------------------------------------
'Public Const RDH_RECTANGLES& = 1
'Public Const RGN_AND& = 1
Public Const RGN_OR& = 2
'Public Const RGN_XOR& = 3
Public Const RGN_DIFF& = 4
'Public Const RGN_COPY& = 5
'Public Const NULLREGION& = 1
'Public Const SIMPLEREGION& = 2
'Public Const COMPLEXREGION& = 3

'Public Type RGNDATAHEADER
'    dwSize      As Long 'size of this structure(32 bytes)
'    iType       As Long 'must be RDH_RECTANGLES
'    nCount      As Long '# of RECTS in RGNDATA.Buffer
'    nRgnSize    As Long 'size of rect buffer in RGNDATA
'    rcBound     As RECT 'overall bounding RECT
'End Type
'
'Public Type RGNDATA
'        rdh As RGNDATAHEADER
'        Buffer(1) As RECT 'array of RECTs
'End Type

Public Declare Function CombineRgn& Lib "gdi32" (ByVal hDestRgn&, ByVal hSrcRgn1&, ByVal hSrcRgn2&, ByVal nCombineMode&)
'Public Declare Function CreateEllipticRgn& Lib "gdi32" (ByVal X1&, ByVal Y1&, ByVal X2&, ByVal Y2&)
'Public Declare Function CreateEllipticRgnIndirect& Lib "gdi32" (lpRect As RECT)
'Public Declare Function CreatePolygonRgn& Lib "gdi32" (lpPoint As POINTAPI, ByVal nCount&, ByVal nPolyFillMode&)
'Public Declare Function CreatePolyPolygonRgn& Lib "gdi32" (lpPoint As POINTAPI, lpPolyCounts&, ByVal nCount&, ByVal nPolyFillMode&)
'Public Declare Function CreateRectRgn& Lib "gdi32" (ByVal X1&, ByVal Y1&, ByVal X2&, ByVal Y2&)
Public Declare Function CreateRectRgnIndirect& Lib "gdi32" (lpRect As RECT)
'Public Declare Function CreateRoundRectRgn& Lib "gdi32" (ByVal X1&, ByVal Y1&, ByVal X2&, ByVal Y2&, ByVal X3&, ByVal Y3&)
'Public Declare Function EqualRgn& Lib "gdi32" (ByVal hSrcRgn1&, ByVal hSrcRgn2&)
'Public Declare Function ExtCreateRegion& Lib "gdi32" (ByVal lpXform&, ByVal nCount&, lpRgnData As Any)
'Public Declare Function FillRgn& Lib "gdi32" (ByVal hdc&, ByVal hRgn&, ByVal hBrush&)
'Public Declare Function FrameRgn& Lib "gdi32" (ByVal hdc&, ByVal hRgn&, ByVal hBrush&, ByVal nWidth&, ByVal nHeight&)
'Public Declare Function GetRandomRgn& Lib "gdi32" (ByVal hdc&, ByVal hRgn&, ByValt&)
'Public Declare Function GetRegionData& Lib "gdi32" (ByVal hRgn&, ByVal dwCount&, lpRgnData As Any)
'Public Declare Function GetRgnBox& Lib "gdi32" (ByVal hRgn&, lpRect As RECT)
'Public Declare Function GetWindowRgn& Lib "user32" (ByVal hwnd&, ByVal hRgn&)
'Public Declare Function InvalidateRgn& Lib "user32" (ByVal hwnd&, ByVal hRgn&, ByVal bErase&)
'Public Declare Function InvertRgn& Lib "gdi32" (ByVal hdc&, ByVal hRgn&)
'Public Declare Function OffsetClipRgn& Lib "gdi32" (ByVal hdc&, ByVal x&, ByVal y&)
'Public Declare Function OffsetRgn& Lib "gdi32" (ByVal hRgn&, ByVal x&, ByVal y&)
'Public Declare Function PaintRgn& Lib "gdi32" (ByVal hdc&, ByVal hRgn&)
'Public Declare Function PtInRect& Lib "user32" (lpRect As RECT, pt As POINTAPI)
'Public Declare Function PtInRegion& Lib "gdi32" (ByVal hRgn&, ByVal x&, ByVal y&)
Public Declare Function RectInRegion& Lib "gdi32" (ByVal hRgn&, lpRect As RECT)
'Public Declare Function SetWindowRgn& Lib "user32" (ByVal hwnd&, ByVal hRgn&, ByVal bRedraw&)
'Public Declare Function SetRectRgn& Lib "gdi32" (ByVal hRgn&, ByVal X1&, ByVal Y1&, ByVal X2&, ByVal Y2&)

'---------------------------------------------------------------------------------------
Public Declare Function GetWindowRect& Lib "user32" (ByVal hwnd&, lpRect As RECT)
Public Declare Function SetRect& Lib "user32" (lpRect As RECT, ByVal X1&, ByVal Y1&, ByVal X2&, ByVal Y2&)
Public Declare Function DeleteObject& Lib "gdi32" (ByVal hObject&)


